# Constant Field Values

## Contents

- org.talend.*

## org.talend.*

org.talend.transform.runtime.api.ExecutionStatus
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_ERROR`
`4`
`public static final int`
`STATUS_FATAL`
`64`
`public static final int`
`STATUS_INFO`
`1`
`public static final int`
`STATUS_OK`
`0`
`public static final int`
`STATUS_WARN`
`2`
org.talend.transform.runtime.api.MapExecutionContext
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_JAVA_INPUT_OBJECT`
`"tdm.java.input"`
`public static final String`
`PROP_RESULT_URL`
`"oaklandsw.result.url"`
`public static final String`
`PROP_SOURCE_URL`
`"oaklandsw.source.url"`
org.talend.transform.runtime.api.MapRuntime
Modifier and Type
Constant Field
Value
`public static final int`
`SHUT_IMMEDIATE`
`1`
`public static final int`
`SHUT_NORMAL`
`0`
org.talend.transform.runtime.api.MessageAdaptor
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_BINARY`
`2`
`public static final int`
`TYPE_CHARACTER`
`1`
org.talend.transform.runtime.api.ObjectTypes
Modifier and Type
Constant Field
Value
`public static final String`
`DATABASE`
`"Databases"`
`public static final String`
`FUNC`
`"Functions"`
`public static final String`
`MAP`
`"Maps"`
`public static final String`
`MAP_SET`
`"Map Sets"`
`public static final String`
`NAMESPACE_CONTAINER`
`"Namespace Containers"`
`public static final String`
`REPORT`
`"Reports"`
`public static final String`
`SAMPLE_DATA`
`"Sample Data"`
`public static final String`
`STRUCT`
`"Structures"`
org.talend.transform.runtime.api.RuntimeEngine
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_FILE`
`".content"`
`public static final String`
`CONTENT_FILE_PATH`
`"/__tdm/.content"`
`public static final int`
`DEFAULT_CACHE_TIMEOUT`
`600`
`public static final String`
`LOG_ALL`
`"all"`
`public static final String`
`LOG_DEST_CONSOLE`
`"console"`
`public static final String`
`LOG_FREQUENT`
`"frequent"`
`public static final String`
`LOG_INFREQUENT`
`"infrequent"`
`public static final String`
`LOG_PROJECT_MISS`
`"projectMiss"`
`public static final String`
`TDM_FOLDER`
`"__tdm"`
org.talend.transform.runtime.api.RuntimeFactory
Modifier and Type
Constant Field
Value
`protected static final String`
`ADAPTOR`
`"org.eclipse.osgi.baseadaptor.BaseAdaptor"`
`protected static final String`
`FRAMEWORK_BUNDLE_NAME`
`"org.eclipse.osgi"`
`protected static final String`
`FRAMEWORK_SHAPE_FOLDER`
`"folder"`
`protected static final String`
`FRAMEWORK_UTIL`
`"org.osgi.framework.FrameworkUtil"`
`public static final String`
`JAVA_IO_TMPDIR`
`"java.io.tmpdir"`
`public static final String`
`ODT_DEV_INSTALL_VAR`
`"ODT_DEV_INSTALL"`
`public static final String`
`ODT_DEV_WORKSPACE_VAR`
`"ODT_DEV_WORKSPACE"`
`public static final String`
`ODT_LICENSE_DIR`
`"ODT_LICENSE_DIR"`
`public static final String`
`OSDT_DEBUG`
`"oaklandsw.debug"`
`public static final String`
`OSDT_EDITION`
`"OSDT_EDITION"`
`public static final String`
`OSDT_FORCE_TEMP_INSTALL`
`"OSDT_FORCE_TEMP_INSTALL"`
`public static final String`
`OSDT_HOME_VAR`
`"OSDT_HOME"`
`public static final String`
`OSDT_INIT_DEBUG`
`"OSDT_INIT_DEBUG"`
`public static final String`
`OSDT_INIT_LOGGING_CONTENT`
`"OSDT_INIT_LOGGING_CONTENT"`
`public static final String`
`OSDT_INIT_LOGGING_DEST`
`"OSDT_INIT_LOGGING_DEST"`
`public static final String`
`OSDT_INSTALL_DIR`
`"ODT_INSTALL_DIR"`
`public static final String`
`OSDT_OSGI_PARENTCLASSLOADER`
`"OSDT_OSGI_PARENTCLASSLOADER"`
`public static final String`
`OSDT_RESET_WORKSPACE`
`"oaklandsw.resetWorkspace"`
`public static final String`
`OSDT_TEMP_DIRECTORY`
`"OSDT_TEMP_DIRECTORY"`
`public static final String`
`OSDT_TEMP_WORKSPACE_DIR`
`"OSDT_TEMP_WORKSPACE_DIR"`
`public static final String`
`OSDT_TEST_INSTALL_AREA`
`"OSDT_TEST_INSTALL_AREA"`
`public static final String`
`OSGI_ADAPTOR`
`"osgi.adaptor"`
`protected static final String`
`OSGI_CONFIGURATION_AREA`
`"osgi.configuration.area"`
`public static final String`
`OSGI_DEV`
`"osgi.dev"`
`protected static final String`
`OSGI_FRAMEWORK`
`"osgi.framework"`
`protected static final String`
`OSGI_FRAMEWORK_SHAPE`
`"osgi.framework.shape"`
`public static final String`
`OSGI_INSTALL_AREA`
`"osgi.install.area"`
`public static final String`
`OSGI_INSTANCE_AREA`
`"osgi.instance.area"`
`public static final String`
`RUNTIME_API_PLUGIN_ID`
`"org.talend.transform.runtime.api"`
`protected static final String`
`STARTER`
`"org.eclipse.core.runtime.adaptor.EclipseStarter"`